#spin-trigger {
    position: fixed !important;
    height: 40px !important;
    border: none !important;
    outline: none !important;
    box-shadow: none !important;
    border-radius: 0px 3px 3px 0px !important;
    font-size: 18px !important;
    z-index: 10 !important;
}

#spin-trigger-image {
    position: absolute !important;
    top: -7px !important;
    left: -43px !important;
    width: 54px !important;
    height: 54px !important;
}

#spin-trigger.top-left {
    left: 20px !important;
    top: 25px !important;
}

#spin-trigger.bottom-left {
    left: 20px !important;
    bottom: 25px !important;
}

#spin-trigger.middle-left {
    left: 20px !important;
    top: calc(50% - 20px) !important;
}

#spin-trigger.top-right {
    right: 0px !important;
    top: 25px !important;
    border-radius: 0px !important;
}

#spin-trigger.bottom-right {
    right: 0px !important;
    bottom: 25px !important;
    border-radius: 0px !important;
}

#spin-trigger.middle-right {
    right: 0px !important;
    top: calc(50% - 20px) !important;
    border-radius: 0px !important;
}

#spin-coupon {
    position: fixed !important;
    height: 40px !important;
    border: none !important;
    outline: none !important;
    box-shadow: none !important;
    font-size: 20px !important;
    z-index: 10 !important;
    vertical-align: middle !important;
}

#spin-coupon-image {
    vertical-align: middle !important;
    margin-right: 5px !important;
}

#spin-coupon.top-left {
    left: 0px !important;
    top: 25px !important;
    border-radius: 0px 3px 3px 0px !important;
}

#spin-coupon.bottom-left {
    left: 0 !important;
    bottom: 25px !important;
    border-radius: 0px 3px 3px 0px !important;
}

#spin-coupon.middle-left {
    left: 0 !important;
    top: calc(50% - 20px) !important;
    border-radius: 0px 3px 3px 0px !important;
}

#spin-coupon.top-right {
    right: 0px !important;
    top: 25px !important;
    border-radius: 3px 0px 0px 3px !important;
}

#spin-coupon.bottom-right {
    right: 0px !important;
    border-radius: 3px 0px 0px 3px !important;
    bottom: 125px !important;
}

#spin-coupon.middle-right {
    right: 0px !important;
    top: calc(50% - 20px) !important;
    border-radius: 3px 0px 0px 3px !important;
}

.spin-wheel-popup .modal-content {
    padding: 0 !important;
    height: 100% !important;
    margin: 0 !important;
}

.spin-wheel-popup .modal-content > div {
    height: 100% !important;
}

/* NEW - Hide modal footer */
.spin-wheel-popup .modal-footer {
    display: none !important;
}

.spin-wheel-popup #spin-wheel-container {
    height: 100% !important;
    font-size: 0 !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    flex-wrap: nowrap !important;
}

.spin-wheel-popup #spin-wheel-wheel-container {
    font-size: 14px !important;
    display: inline-block !important;
    height: 100% !important;
    vertical-align: top !important;
    position: relative !important;
    width: 50% !important;
    flex-shrink: 1 !important;
}

.spin-wheel-popup #spin-wheel-canvas {
    position: absolute !important;
    margin: 0 !important;
    top: 50% !important;
    left: 50% !important;
    transform: translate(-50%, -50%) !important;
    max-width: 95% !important;
    max-height: 95% !important;
}

.spin-wheel-popup #spin-wheel-form-container {
    font-size: 14px !important;
    display: inline-block !important;
    height: 100% !important;
    vertical-align: top !important;
    width: 50% !important;
    box-sizing: border-box !important;
    padding: 40px !important;
    flex-shrink: 1 !important;
    overflow-y: auto !important;
}

.spin-wheel-popup #spin-wheel-form-image {
    max-height: 120px;
    max-width: 100%;
    margin: 0 auto 20px;
    display: block;
}

.spin-wheel-form-image {
    text-align: center;
    margin-bottom: 20px;
}

#spin-wheel-button img {
    height: 24px;
    vertical-align: middle;
    margin-right: 5px;
    display: inline-block;
}

#spin-wheel-button {
    font-size: 20px;
    border-radius: 3px;
    border: 0px;
    display: inline-block;
    font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-weight: 600;
    line-height: 1.36;
    padding: 0.6rem 1em 0.6rem;
    text-align: center;
    vertical-align: baseline;
    box-shadow: none;
}

.modal-slide.spin-wheel-slide-right {
    left: unset !important;
    right: 0 !important;
}

.modal-slide.spin-wheel-slide-left {
    left: 0 !important;
    right: unset !important;
}

.modal-slide.spin-wheel-slide-left .modal-inner-wrap {
    -webkit-transform: translateX(-100%) !important;
    transform: translateX(-100%) !important;
}

.modal-slide.spin-wheel-slide-left._show .modal-inner-wrap {
    -webkit-transform: translateX(0) !important;
    transform: translateX(0) !important;
}

.spin-wheel-popup .modal-inner-wrap {
    width: auto !important;
    max-width: 1100px !important;
    max-height: 95vh !important;
}

.spin-wheel-popup.spin-wheel-split #spin-wheel-wheel-container {
    width: 50% !important;
    padding-left: 0 !important;
}

.spin-wheel-popup.spin-wheel-split .modal-inner-wrap {
    width: 820px !important;
}

#spin-wheel-form-heading {
    font-size: 28px;
    margin: 15px 0 10px;
    text-align: left;
}

#spin-wheel-form-description {
    font-size: 18px;
    margin-bottom: 10px;
}

/* NEW - Black color for form labels */
.spin-wheel-popup #spin-wheel-form-container label,
.spin-wheel-popup #spin-wheel-form-container .label,
.spin-wheel-popup #spin-wheel-form-container .field label,
.spin-wheel-popup #spin-wheel-form-container .field .label span {
    color: #000 !important;
    font-size: 14px;
}

#wkcc-shop-now {
    font-size: 18px;
    border-radius: 3px;
    border: 0px;
    display: inline-block;
    font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-weight: 600;
    line-height: 1.36;
    padding: 0.6rem 1em 0.6rem;
    text-align: center;
    box-shadow: none;
    margin-top: 15px;
}

#spin-pin-image {
    position: absolute !important;
    top: 50% !important;
    left: 98% !important;
    transform: translate(-100%, -50%) !important;
    z-index: 10003 !important;
    height: 43px !important;
    width: 62px !important;
}

/* Desktop styles  */
@media (min-width: 1024px) {
    .checkout-index-index .modal-popup.spin-wheel-popup .modal-inner-wrap {
        margin: 3rem auto !important;
        width: auto !important;
        max-width: 1100px !important;
        max-height: 90vh !important;
        left: 0 !important;
        top: 3rem !important;
    }

    .checkout-index-index .spin-wheel-popup.spin-wheel-split .modal-inner-wrap {
        width: auto !important;
        max-width: 820px !important;
    }
}

/* Tablet styles */
@media only screen and (max-width: 1060px) and (min-width: 769px) {
    .spin-wheel-popup .modal-inner-wrap {
        width: 90% !important;
        max-width: 760px !important;
    }

    .spin-wheel-popup #spin-wheel-wheel-container {
        width: 60% !important;
    }

    .spin-wheel-popup #spin-wheel-form-container {
        width: 40% !important;
        padding: 30px;
    }

    .spin-wheel-popup.spin-wheel-split #spin-wheel-wheel-container {
        width: 50% !important;
        padding-left: 0 !important;
    }

    .spin-wheel-popup.spin-wheel-split .modal-inner-wrap {
        width: 590px !important;
    }

    #spin-pin-image {
        top: calc(50% - 17px) !important;
        height: 35px !important;
        width: 50px !important;
    }
}

/* Mobile styles */
@media only screen and (max-width: 770px) {
    .spin-wheel-popup {
        width: 100% !important;
    }

    .spin-wheel-popup #spin-wheel-container {
        display: block !important;
    }

    .spin-wheel-popup #spin-wheel-wheel-container {
        padding: 0;
        width: 100% !important;
        height: auto !important;
        min-height: 350px !important;
        max-height: 400px !important;
        display: block !important;
    }

    .spin-wheel-popup .modal-inner-wrap {
        width: 100% !important;
    }

    .spin-wheel-popup #spin-wheel-form-container {
        width: 100% !important;
        display: block !important;
        padding: 20px !important;
    }

    #spin-pin-image {
        top: calc(50% - 16.5px) !important;
        height: 35px !important;
        width: 50px !important;
    }

    .spin-wheel-popup.spin-wheel-split #spin-wheel-wheel-container {
        width: 100% !important;
    }

    .spin-wheel-popup.spin-wheel-split .modal-inner-wrap {
        width: 100% !important;
    }
}

.spin-coupon-details .modal-content {
    padding: 0;
}

.spin-coupon-details .modal-header {
    display: none;
}

.spin-coupon-details .modal-footer {
    display: none;
}

.spin-coupon-details .modal-inner-wrap {
    max-width: 650px;
    box-sizing: border-box;
}

.spin-coupon-info-container {
    padding: 30px;
}

.spin-coupon-info-heading {
    margin-bottom: 20px;
}

.spin-coupon-info-description {
    font-size: 18px;
}

canvas#spin-wheel-canvas {
    display: block;
    opacity: 1;
}

@media screen and (min-width: 768px) {
    .modals-wrapper .modal-popup.spin-wheel-popup .modal-inner-wrap {
        width: 100% !important;
        max-width: 1100px !important;
        max-height: 95vh !important;
        margin: auto !important;
        padding: 0;
    }

    .spin-wheel-popup #spin-wheel-wheel-container {
        height: 100% !important;
        min-height: 450px !important;
        max-height: 95vh !important;
    }

    .spin-wheel-popup #spin-wheel-form-container {
        height: 100% !important;
        min-height: 450px !important;
        max-height: 95vh !important;
    }
}

@media screen and (min-width: 768px) and (max-width: 1400px) {
    .modals-wrapper .modal-popup.spin-wheel-popup .modal-inner-wrap {
        max-width: 85vw !important;
    }

    .spin-wheel-popup #spin-wheel-form-container {
        padding: 30px !important;
    }
}

@media only screen and (max-width: 770px) {
    .cms-home .modals-wrapper .modal-popup.spin-wheel-popup .modal-inner-wrap {
        width: 98% !important;
        margin: auto !important;
    }

    .modals-wrapper .modal-popup.spin-wheel-popup .modal-inner-wrap {
        max-width: 100% !important;
        margin: auto !important;
    }
}

.spin-wheel-form {
    width: 100%;
    margin: auto;
}

#spin-wheel-button-container {
    width: 100%;
    margin-top: 24px;
}

#spin-wheel-form-container .action-close{
    position: absolute;
    right: 5px;
    top: 5px;
}
